import { _name, _type, _validate } from "./symbols";
import { enyToGuardFn } from "./utils";
import { vality } from "./vality";
export function validate(schema, val, bail = false) {
    if (typeof schema === "function" && !(_validate in schema))
        schema = vality.object(schema())(bail === true ? { bail } : {});
    return enyToGuardFn(schema)(val, [], undefined);
}
//# sourceMappingURL=validate.js.map